
ISIS - Bug #4557

jigsaw images.csv output file missing headers for TWIST columns
Status: Closed   

Priority: High   

Assignee: Ian Humphrey   

Category: Applications   

Target version: 3.5.0 (FY17 2017-01-25 Jan)   

Impact: jigsaw output images.csv will have

headers for all columns. This will not

affect the values reported by jigsaw.

Test Reviewer:  

Software Version:    

Description

When running jigsaw with multiple camera angle solve coefficients (CAMSOLVE = VELOCITIES, ACCELERATIONS, ALL) and

TWIST=NO, the created output images.csv file will be missing headers for the TWIST coefficients.

For example, if CAMSOLVE=VELOCITIES, the images.csv will have headers for RA(t0), RA(t1), DEC(t0), DEC(t1), and TWIST.

There needs to be matching headers for twist, e.g. TWIST(t0), TWIST(t1), since values will be put into the output images.csv for the

number of camera angle solve coefficients and there will be missing headers for TWIST.

You can look at the last columns

/usgs/cpkgs/isis3/testData/isis/src/control/apps/jigsaw/tsts/camsolveAll/truth/obsmode_cholmod_bundleout_images.csv in LibreOffice

or Excel for an example. 

History

#1 - 2016-12-08 12:42 PM - Ian Humphrey

- Status changed from Acknowledged to In Progress

Note: this ticket has been set to a High priority and needs to be completed today for getting a clean ISIS build on the new OSX system. This needs to

be done to create a production version for the new OS's.

#2 - 2016-12-08 12:55 PM - Ian Humphrey

- Status changed from In Progress to Resolved

Modified BundleSolutionInfo's outputImagesCSVHeader() method.

I'll request Ken to review the code changes.

#3 - 2016-12-08 03:42 PM - Ian Humphrey

- Status changed from Resolved to Closed

Closing after getting feedback from Ken and running tests for jigsaw on prog21 and prog17

#4 - 2017-02-06 08:09 AM - Stuart Sides

- Target version set to 3.5.0 (FY17 2017-01-25 Jan)
